<?php
/**
 * Created by PhpStorm.
 * User: z_yang
 * Date: 2018/03/06
 * Time: 14:20
 */
Route::group(['domain'=>env('CHANNEL_DOMAIN'),'namespace' => 'App\Http\Controllers\Channel\XChengXu', 'prefix' => 'api/xcx','middleware'=>'ChannelApiAuth'], function () {

    Route::group(['middleware'=>'ChannelOperateRecord'],function (){
        //今日数据
        Route::get('todayData', 'StasticalController@todayData');
        //统计数据
        Route::get('statisticalData', 'StasticalController@statisticalData');

        Route::get('sendLink', 'StasticalController@sendLink');
        
        // 创建派单
        Route::get('createOrder', 'XcxSendOrderController@createOrder');
        // 派单列表
        Route::get('getSendOrders', 'XcxSendOrderController@getSendOrders');
        // 派单数据统计
        Route::get('getSendOrderStat', 'XcxSendOrderStatController@getSendOrderStat');
    });
});


Route::group(['domain'=>env('CHANNEL_DOMAIN'),'namespace' => 'App\Http\Controllers\Channel\XChengXu', 'prefix' => 'xcx',], function () {
    //二维码
    Route::get('qrcode', 'StasticalController@qrcode');
    Route::get('yun', 'StasticalController@page');
});
